# /// script
# requires-python = ">=3.13"
# dependencies = [
#     "advertools",
# ]
# ///

import sys
from urllib.parse import urlsplit

import advertools as adv
import pandas as pd


if __name__ == "__main__":
    robots_url = sys.argv[1]
    domain = urlsplit(robots_url).netloc.replace(".", "_")
    try:
        sitemap_df = adv.sitemap_to_df(robots_url)
    except Exception as e:
        print("There seems to be an issue with the sitemap or it doesn't exist")
    sys.exit()
    adv.crawl_headers(
        sitemap_df["loc"].dropna(), f"{domain}.jl", custom_settings={"LOG_FILE": f"{domain}.log"}
    )
    print(
        pd.read_json(f"{domain}.jl", lines=True)[["url", "status"]].query("status != 200")
    )
